com.trendmicro.ds.platform.rest.object.samlidentityproviders

## Class SAMLIdentityProvider

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.samlidentityproviders.SAMLIdentityProvider

-     public class SAMLIdentityProvider
      extends java.lang.Object

  SAML identity provider details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLIdentityProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getCreated()` Get the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.String` | `getDescription()` Get the description for this SAML identity provider.
    `java.lang.Long` | `getID()` Get the ID for this SAML identity provider.
    `java.lang.String` | `getMetadataXML()` Get the Base64-encoded metadata XML for this SAML identity provider.
    `java.lang.String` | `getName()` Get the name for this SAML identity provider.
    `java.lang.Long` | `getUpdated()` Get the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.String` | `getURN()` Get the URN for this SAML identity provider.
    `java.lang.Long` | `getValidUntil()` Get the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setCreated(java.lang.Long created)` Set the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setDescription(java.lang.String description)` Set the description for this SAML identity provider.
    `void` | `setID(java.lang.Long id)` Set the ID for this SAML identity provider.
    `void` | `setMetadataXML(java.lang.String metadataXML)` Set the Base64-encoded metadata XML for this SAML identity provider.
    `void` | `setName(java.lang.String name)` Set the name for this SAML identity provider.
    `void` | `setUpdated(java.lang.Long updated)` Set the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setURN(java.lang.String urn)` Set the URN for this SAML identity provider.
    `void` | `setValidUntil(java.lang.Long validUntil)` Set the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `SAMLIdentityProvider` | `withCreated(java.lang.Long created)` Set the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `SAMLIdentityProvider` | `withDescription(java.lang.String description)` Set the description for this SAML identity provider.
    `SAMLIdentityProvider` | `withID(java.lang.Long id)` Set the ID for this SAML identity provider.
    `SAMLIdentityProvider` | `withMetadataXML(java.lang.String metadataXML)` Set the Base64-encoded metadata XML for this SAML identity provider.
    `SAMLIdentityProvider` | `withName(java.lang.String name)` Set the name for this SAML identity provider.
    `SAMLIdentityProvider` | `withUpdated(java.lang.Long updated)` Set the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `SAMLIdentityProvider` | `withURN(java.lang.String urn)` Set the URN for this SAML identity provider.
    `SAMLIdentityProvider` | `withValidUntil(java.lang.Long validUntil)` Set the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLIdentityProvider

          public SAMLIdentityProvider()

  - ### Method Detail

    - #### getID

          public java.lang.Long getID()

      Get the ID for this SAML identity provider.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the ID for this SAML identity provider.

    - #### setID

          public void setID(java.lang.Long id)

      Set the ID for this SAML identity provider.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the ID for this SAML identity provider.

    - #### withID

          public SAMLIdentityProvider withID(java.lang.Long id)

      Set the ID for this SAML identity provider.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the ID for this SAML identity provider.
      Returns:
        the updated SAMLIdentityProvider object.

    - #### getURN

          public java.lang.String getURN()

      Get the URN for this SAML identity provider.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the URN for this SAML identity provider.

    - #### setURN

          public void setURN(java.lang.String urn)

      Set the URN for this SAML identity provider.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `urn` - the URN for this SAML identity provider.

    - #### withURN

          public SAMLIdentityProvider withURN(java.lang.String urn)

      Set the URN for this SAML identity provider.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `urn` - the URN for this SAML identity provider.
      Returns:
        the updated SAMLIdentityProvider object.

    - #### getName

          public java.lang.String getName()

      Get the name for this SAML identity provider.

      The name may be between 1-254 characters long and may use alphanumeric characters plus `=`, `.`, `@`, and `-`.

      Returns:
        the name for this SAML identity provider.

    - #### setName

          public void setName(java.lang.String name)

      Set the name for this SAML identity provider.

      The name may be between 1-254 characters long and may use alphanumeric characters plus `=`, `.`, `@`, and `-`.

      Parameters:
        `name` - the name for this SAML identity provider.

    - #### withName

          public SAMLIdentityProvider withName(java.lang.String name)

      Set the name for this SAML identity provider.

      The name may be between 1-254 characters long and may use alphanumeric characters plus `=`, `.`, `@`, and `-`.

      Parameters:
        `name` - the name for this SAML identity provider.
      Returns:
        the updated SAMLIdentityProvider object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the description for this SAML identity provider.

      The description may be between 0-2000 characters long.

      Returns:
        the description for this SAML identity provider.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the description for this SAML identity provider.

      The description may be between 0-2000 characters long.

      Parameters:
        `description` - the description for this SAML identity provider.

    - #### withDescription

          public SAMLIdentityProvider withDescription(java.lang.String description)

      Set the description for this SAML identity provider.

      The description may be between 0-2000 characters long.

      Parameters:
        `description` - the description for this SAML identity provider.
      Returns:
        the updated SAMLIdentityProvider object.

    - #### getMetadataXML

          public java.lang.String getMetadataXML()

      Get the Base64-encoded metadata XML for this SAML identity provider.

      The decoded metadata XML must be at least 1000 characters and may be at most 1 000 000 characters.

      Returns:
        the metadata XML for this SAML identity provider.

    - #### setMetadataXML

          public void setMetadataXML(java.lang.String metadataXML)

      Set the Base64-encoded metadata XML for this SAML identity provider.

      The decoded metadata XML must be at least 1000 characters and may be at most 1 000 000 characters.

      Parameters:
        `metadataXML` - the metadata XML for this SAML identity provider.

    - #### withMetadataXML

          public SAMLIdentityProvider withMetadataXML(java.lang.String metadataXML)

      Set the Base64-encoded metadata XML for this SAML identity provider.

      The decoded metadata XML must be at least 1000 characters and may be at most 1 000 000 characters.

      Parameters:
        `metadataXML` - the metadata XML for this SAML identity provider.
      Returns:
        the updated SAMLIdentityProvider object.

    - #### getCreated

          public java.lang.Long getCreated()

      Get the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setCreated

          public void setCreated(java.lang.Long created)

      Set the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `created` - the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withCreated

          public SAMLIdentityProvider withCreated(java.lang.Long created)

      Set the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `created` - the time when this SAML identity provider was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated SAMLIdentityProvider object.

    - #### getUpdated

          public java.lang.Long getUpdated()

      Get the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the SAML identity provider has never been updated, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setUpdated

          public void setUpdated(java.lang.Long updated)

      Set the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the SAML identity provider has never been updated, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `updated` - the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withUpdated

          public SAMLIdentityProvider withUpdated(java.lang.Long updated)

      Set the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the SAML identity provider has never been updated, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `updated` - the time when this SAML identity provider was updated, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated SAMLIdentityProvider object.

    - #### getValidUntil

          public java.lang.Long getValidUntil()

      Get the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setValidUntil

          public void setValidUntil(java.lang.Long validUntil)

      Set the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `validUntil` - the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withValidUntil

          public SAMLIdentityProvider withValidUntil(java.lang.Long validUntil)

      Set the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `validUntil` - the time when this SAML identity provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated SAMLIdentityProvider object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.